<!DOCTYPE composition PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
        "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<ui:composition xmlns:ui="http://java.sun.com/jsf/facelets"
                xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
                xmlns:s="http://jboss.org/schema/seam/taglib"
                xmlns:a4j="http://richfaces.org/a4j"
                xmlns="http://www.w3.org/1999/xhtml" template="//layout/template.xhtml">
    <ui:define name="body">
        <h1>#{messages['net.ihe.gazelle.schematronvalidator.EditSchematron']}</h1>
        <h:form id="globalForm">
            #{schematronManagerBean.getSchematronFromUrl()}
            <s:div id="editSchematronPanel">
                <ui:decorate template="/layout/panels/_panel_title_footer.xhtml">
                    <ui:define name="panel_title">
                        <h:outputText
                                value="#{messages['net.ihe.gazelle.schematronvalidator.Schematron']} - #{messages['net.ihe.gazelle.schematronvalidator.ID']} #{schematronManagerBean.selectedSchematron.id}"/>
                    </ui:define>
                    <div class="form-horizontal">
                        <a4j:region id="labelRegion">
                            <s:decorate id="labelDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="labelDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Name']}</ui:define>
                                <h:inputText id="label" styleClass="form-control"
                                             value="#{schematronManagerBean.selectedSchematron.name}">
                                    <a4j:ajax event="blur" render="labelDecoration" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="nameRegion">
                            <s:decorate id="nameDecoration" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="nameDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Keyword']}</ui:define>
                                <h:inputText id="name" styleClass="form-control" required="true"
                                             value="#{schematronManagerBean.selectedSchematron.keyword}">
                                    <a4j:ajax event="blur" render="nameDecoration" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="versionRegion">
                            <s:decorate id="versionDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="versionDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Version']}</ui:define>
                                <h:inputText id="version" styleClass="form-control" required="true"
                                             value="#{schematronManagerBean.selectedSchematron.version}">
                                    <a4j:ajax event="blur" render="versionDecoration" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="authorRegion">
                            <s:decorate id="authorDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="authorDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.maven.Author']}</ui:define>
                                <h:inputText id="version" styleClass="form-control" required="true"
                                             value="#{schematronManagerBean.selectedSchematron.author}">
                                    <a4j:ajax event="blur" render="authorDecoration" execute="@this"/>
                                </h:inputText>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="typeRegion">
                            <s:decorate id="typeDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="typeDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.maven.Type']}</ui:define>
                                <h:selectOneMenu id="typeSelection"
                                                 styleClass="form-control gzl-select-text"
                                                 value="#{schematronManagerBean.selectedSchematron.type}">
                                    <f:selectItems value="#{schematronManagerBean.getAllSchematronTypes()}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="descriptionRegion">
                            <s:decorate id="descriptionDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="descriptionDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Description']}</ui:define>
                                <h:inputTextarea id="description" styleClass="form-control" rows="2" cols="70"
                                                 value="#{schematronManagerBean.selectedSchematron.description}">
                                    <a4j:ajax event="blur" render="descriptionDecoration" execute="@this"/>
                                </h:inputTextarea>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="pathRegion">
                            <s:decorate id="pathDecoration" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="pathDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Path']}</ui:define>
                                <h:inputText id="path" styleClass="form-control" size="70"
                                             value="#{schematronManagerBean.selectedSchematron.path}">
                                    <a4j:ajax event="blur" render="pathDecoration" execute="@this"/>
                                </h:inputText>
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                    <ui:param name="id" value="partHelpPath"/>
                                    <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                    <ui:define name="content">
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.schematronvalidator.Root']} #{schematronManagerBean.getSchematronPathRoot()}"/>
                                    </ui:define>
                                </ui:decorate>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="relativePathRegion">
                            <s:decorate id="relativePathDecoration" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="relativePathDecoration"/>
                                <h:selectBooleanCheckbox id="relativePath" value="#{schematronManagerBean.selectedSchematron.useRelativeLinks}"/>
                                <h:outputText value="#{messages['net.ihe.gazelle.maven.ThisSchematronUsesRelativePaths']}"/>
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                    <ui:param name="id" value="partHelpRelativePath"/>
                                    <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                    <ui:define name="content">
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.maven.CheckThisBoxIfYourSchematronReferencesOtherFiles']}"/>
                                    </ui:define>
                                </ui:decorate>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="xsdpathRegion">
                            <s:decorate id="xsdpathDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="xsdpathDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.XSDPath']}</ui:define>
                                <h:inputText id="xsdpath" styleClass="form-control" size="70"
                                             value="#{schematronManagerBean.selectedSchematron.xsdPath}">
                                    <a4j:ajax event="blur" render="xsdpathDecoration" execute="@this"/>
                                </h:inputText>
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                    <ui:param name="id" value="partHelpXSDPath"/>
                                    <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                    <ui:define name="content">
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.schematronvalidator.XSDPathRoot']} #{schematronManagerBean.getXsdPathRoot()}"/>
                                    </ui:define>
                                </ui:decorate>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="xsdVersionRegion">
                            <s:decorate id="xsdVersionDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="xsdVersionDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.maven.XSDVersion']}</ui:define>
                                <h:selectOneMenu id="xsdVersionSelection" required="true"
                                                 styleClass="form-control gzl-select-text"
                                                 value="#{schematronManagerBean.selectedSchematron.xsdVersion}">
                                    <f:selectItems value="#{schematronManagerBean.getAllXsdVersions()}"/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region id="objectTypeRegion">
                            <s:decorate id="objectTypeDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="objectTypeDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.ObjectType']}</ui:define>
                                <h:selectOneMenu id="objectTypeSelection"
                                                 styleClass="form-control gzl-select-text" required="true"
                                                 value="#{schematronManagerBean.selectedSchematron.objectType}">
                                    <s:selectItems value="#{schematronManagerBean.getAllObjectTypes()}"
                                                   var="objectType"
                                                   noSelectionLabel="#{messages['net.ihe.gazelle.schematronvalidator.PleaseSelect']}"
                                                   label="#{objectType.name}" required="true"/>
                                    <s:convertEntity/>
                                </h:selectOneMenu>
                            </s:decorate>
                        </a4j:region>

                        <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml">
                            <ui:param name="id" value="needDaffodilTransformationInput"/>
                            <ui:define name="label">#{messages['net.ihe.gazelle.maven.NeedDaffodilTransformation']}</ui:define>
                            <h:selectBooleanCheckbox id="needDaffodilTransformationInput"
                                                     value="#{schematronManagerBean.selectedSchematron.dfdlTransformationNeeded}">
                                <a4j:ajax event="change" render="daffodilOidRegionDiv"/>
                            </h:selectBooleanCheckbox>
                        </s:decorate>

                        <s:div id="daffodilOidRegionDiv">
                            <s:decorate template="/layout/form/_form_field_horizontal_inline.xhtml"
                                        rendered="#{schematronManagerBean.selectedSchematron.dfdlTransformationNeeded}">
                                <ui:param name="id" value="dfdlSchemaKeyword"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.maven.DFDLSchemaKeyword']}</ui:define>
                                <h:inputText id="dfdlSchemaKeyword" styleClass="form-control" required="false" size="70"
                                             value="#{schematronManagerBean.selectedSchematron.dfdlSchemaKeyword}">
                                    <a4j:ajax event="blur" render="daffodilOidRegionDiv" execute="@this"/>
                                </h:inputText>
                                <ui:decorate template="/layout/popover/_popover_on_icon.xhtml">
                                    <ui:param name="id" value="partHelpDFDLSchema"/>
                                    <ui:param name="icon_class" value="gzl-icon-question-circle"/>
                                    <ui:define name="content">
                                        <h:outputText
                                                value="#{messages['net.ihe.gazelle.maven.LeaveBlankIfADaffodilTransformationIsNotRequire']}"/>
                                    </ui:define>
                                </ui:decorate>
                            </s:decorate>
                        </s:div>

                        <a4j:region id="availableRegion">
                            <s:decorate id="availableDecoration"
                                        template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="availableDecoration"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.Available']}</ui:define>
                                <h:selectBooleanCheckbox id="availableCheckBox"
                                                         value="#{schematronManagerBean.selectedSchematron.available}"/>
                            </s:decorate>
                        </a4j:region>

                        <a4j:region>
                            <s:decorate id="needReportDecorate" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="needReportDecorate"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.NeedReportGenerationTransformation']}
                                </ui:define>
                                <h:selectBooleanCheckbox
                                        value="#{schematronManagerBean.selectedSchematron.needReportGeneration}"/>
                            </s:decorate>
                        </a4j:region>
                        <a4j:region>
                            <s:decorate id="checkTypeErrorDecorate" template="/layout/form/_form_field_horizontal_inline.xhtml">
                                <ui:param name="id" value="checkTypeErrorDecorate"/>
                                <ui:define name="label">#{messages['net.ihe.gazelle.schematronvalidator.ProcessUnknownCheckTypeAsAnError']}
                                </ui:define>
                                <h:selectBooleanCheckbox
                                        value="#{schematronManagerBean.selectedSchematron.transformUnknowns}"/>
                            </s:decorate>
                        </a4j:region>
                    </div>
                    <ui:define name="panel_footer">
                        <a4j:commandButton id="editSchematronSaveButton" styleClass="gzl-btn-blue"
                                           value="#{messages['net.ihe.gazelle.schematronvalidator.Save']}"
                                           action="#{schematronManagerBean.saveSchematron(true)}"
                                           render="editSchematronPanel"/>
                        <a4j:commandButton id="editSchematronBackButton" styleClass="gzl-btn"
                                           value="#{messages['net.ihe.gazelle.schematronvalidator.Back']}" bypassUpdates="true"
                                           immediate="true"
                                           action="/schematrons/manageSchematrons.seam"/>
                    </ui:define>
                </ui:decorate>
            </s:div>
        </h:form>
    </ui:define>
</ui:composition>